#ifndef VAxisAlignElement_h
#define VAxisAlignElement_h

#include "GUIelement.h"
#include "VExitBox.h"
#include "VCamera.h"

#include <GL/glew.h>
#include <GL/glut.h> 

/*! \brief VAxisAlignElement: Klasse zur Repräsentation des Axis Align Elements (links unten).
 */
class VAxisAlignElement :
	public GUIelement {

		/*! benötigt Kamera zur Anwendung der Rotation
		*/
		VCamera * camera;
		/*! Länge der Koordinaten Achsen
		*/
		int offset;
		bool dragging;

public:
	/*! Konstruktor
		\param width Breite des Fensters
		\param height Höhe des Fensters
		\param fps Pointer auf fps Wert
		\param camera Pointer auf Kamera
	*/
	VAxisAlignElement(int*,int*,unsigned int*,VCamera *);
	~VAxisAlignElement(void);
	void released(int,int);
	void drag(int,int);
	void render(void);
	bool isInside(int , int);
};

#endif